Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class DetailImpl

    java.lang.Object
      org.apache.axis.message.NodeImpl
          org.apache.axis.message.SOAPElementImpl
              org.apache.axis.message.SOAPElementAxisImpl
                  org.apache.axis.message.SOAPBodyElementImpl
                      org.apache.axis.message.SOAPBodyElementAxisImpl
                          org.apache.axis.message.SOAPFaultImpl
                              org.apache.axis.message.DetailImpl

All Implemented Interfaces:
  Cloneable, javax.xml.soap.Detail, Element, Node, javax.xml.soap.Node, Serializable, javax.xml.soap.SOAPBodyElement, javax.xml.soap.SOAPElement, javax.xml.soap.SOAPFault, javax.xml.soap.SOAPFaultElement

public class DetailImpl
extends SOAPFaultImpl
implements javax.xml.soap.Detail

Detail Container implementation

Author:
  Davanum Srinivas (dims@yahoo.com)
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.axis.message.SOAPElementAxisImpl
`SOAPElementAxisImpl.QNameAttr`

Field Summary

Fields inherited from class org.apache.axis.message.SOAPFaultImpl
`fault, prefix`

Fields inherited from class org.apache.axis.message.SOAPElementAxisImpl
`_isRoot, attributes, context, elementRep, encodingStyle, endEventIndex, href, id, message, name, namespaces, namespaceURI, qNameAttrs, recorder, soapPart, startContentsIndex, startEventIndex, typeQName`

Fields inherited from class org.apache.axis.message.NodeImpl
`domNode, soapParent`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`DetailImpl()`
`DetailImpl(AxisFault fault)`
`DetailImpl(String namespace, String localName, String prefix, Attributes attrs, DeserializationContext context)`

Method Summary
`javax.xml.soap.DetailEntry` | `addDetailEntry(javax.xml.soap.Name name)` Creates a new `DetailEntry` object with the given name and adds it to this `Detail` object.
`Iterator` | `getDetailEntries()` Gets a list of the detail entries in this `Detail` object.

Methods inherited from class org.apache.axis.message.SOAPFaultImpl
`addDetail, getDetail, getFault, getFaultActor, getFaultCode, getFaultCodeAsName, getFaultString, getFaultStringLocale, outputImpl, setFault, setFaultActor, setFaultCode, setFaultCode, setFaultString, setFaultString`

Methods inherited from class org.apache.axis.message.SOAPBodyElementAxisImpl
`setParentElement`

Methods inherited from class org.apache.axis.message.SOAPElementAxisImpl
`addAttribute, addAttribute, addAttribute, addAttribute, addChild, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addMapping, addNamespaceDeclaration, addTextNode, appendChild, cloneNode, clonning, detachAllChildren, detachNode, getAllAttributes, getAsDocument, getAsDOM, getAsString, getAsStringFromInternal, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getAttributesEx, getAttributeValue, getAttributeValue, getChildElements, getChildElements, getChildNodes, getChildren, getCompleteAttributes, getElementName, getElementsByTagName, getElementsByTagNameNS, getElementsNS, getEncodingStyle, getEnvelope, getFirstChild, getFixupDeserializer, getHref, getID, getLastChild, getLocalName, getName, getNamespacePrefixes, getNamespaceURI, getNamespaceURI, getNextSibling, getNodeType, getNodeValue, getObjectValue, getObjectValue, getOwnerDocument, getParentElement, getParentNode, getPrefix, getPrefix, getPreviousSibling, getQName, getRealElement, getRecorder, getTagName, getType, getValueAsType, getValueAsType, getVisibleNamespacePrefixes, hasAttribute, hasAttributeNS, hasAttributes, hasChildNodes, insertBefore, isDirty, isImmutable, isRoot, isSupported, makeAttributesEditable, normalize, output, printFromInternal, publishContents, publishToHandler, removeAttribute, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, removeContents, removeNamespaceDeclaration, replaceChild, setAllAttributes, setAllImmutable, setAttribute, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setContentsIndex, setDirty, setEncodingStyle, setEndIndex, setEnvelope, setFixupDeserializer, setImmutable, setName, setNamespaceURI, setNSMappings, setObjectValue, setOwnerDocument, setPrefix, setQName, setRecorder, setType`

Methods inherited from class org.apache.axis.message.NodeImpl
`getNodeName, getValue, hashCode, recycleNode, setNodeValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.soap.SOAPElement
`addAttribute, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addNamespaceDeclaration, addTextNode, getAllAttributes, getAttributeValue, getChildElements, getChildElements, getElementName, getEncodingStyle, getNamespacePrefixes, getNamespaceURI, getVisibleNamespacePrefixes, removeAttribute, removeContents, removeNamespaceDeclaration, setEncodingStyle`

Methods inherited from interface javax.xml.soap.Node
`detachNode, getParentElement, getValue, recycleNode, setParentElement, setValue`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Constructor Detail

### DetailImpl

    public DetailImpl(String namespace,
                      String localName,
                      String prefix,
                      Attributes attrs,
                      DeserializationContext context)
               throws AxisFault

### DetailImpl

    public DetailImpl()

### DetailImpl

    public DetailImpl(AxisFault fault)

Method Detail

### addDetailEntry

    public javax.xml.soap.DetailEntry addDetailEntry(javax.xml.soap.Name name)
                                              throws javax.xml.soap.SOAPException

  Creates a new `DetailEntry` object with the given name and adds it to this `Detail` object.

  Specified by:
    `addDetailEntry` in interface `javax.xml.soap.Detail`
  Parameters:
    `name` - a `Name` object identifying the new `DetailEntry` object
  Returns:
    DetailEntry.
  Throws:
    `javax.xml.soap.SOAPException` - thrown when there is a problem in adding a DetailEntry object to this Detail object.

### getDetailEntries

    public Iterator getDetailEntries()

  Gets a list of the detail entries in this `Detail` object.

  Specified by:
    `getDetailEntries` in interface `javax.xml.soap.Detail`
  Returns:
    an `Iterator` object over the `DetailEntry` objects in this `Detail` object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.